package com.jkcredit.invoice.hub.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jkcredit.invoice.hub.model.po.carFreeCarrierBillStart.CarFreeCarrierBillStartPo;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/16 23:22
 * @version: V1.0
 **/
public interface CarFreeCarrierBillStartMapper extends BaseMapper<CarFreeCarrierBillStartPo> {
    // 根据运单编号查询运单开始记录
    CarFreeCarrierBillStartPo getBillStartByNum(String num);

    // 查询状态为已结束和开票中运单的实时运单
    List<CarFreeCarrierBillStartPo> getRealTimeBills();

    // 查询状态为已结束和开票中运单的历史运单
    List<CarFreeCarrierBillStartPo> getHistoryBills();

    // 查询未被查询过的运单编号
    List<String> getNoSearchNums(String userId);
}
